; Modtype setting. Set the number of different Mod Types here.
[Modtypes]
Types=6

; Mod Type No.1 (Zero-based Index = 0).
; Set short Name, Help text, Files folder name and Mods folder name.
[Modtype_00]
Name=Stock Game
Help=Unmodded, untouched 'stock' game version.
Files=none
Mods=none

; Mod Type No.2 (Zero-based Index = 1).
[Modtype_01]
Name=Classic Mod Game
Help=Old fashioned modding style with 'FILES' and 'MODS' folders holding the mods.
Files=FILES
Mods=MODS

; Mod Type No.3 (Zero-based Index = 2).
[Modtype_02]
Name=SAS Modact
Help=SAS Modact 3 or later, mods reside in '#SAS' folder
Files=none
Mods=#SAS

; Mod Type No.4 (Zero-based Index = 3).
[Modtype_03]
Name=Ultrapack 3 or later
Help=Ultrapack 3 or later, mods reside in '#UP#' folder
Files=none
Mods=#UP#

; Mod Type No.5 (Zero-based Index = 4).
[Modtype_04]
Name=Dark Blue World
Help=Dark Blue World (not 1916), mods reside in '#DBW' folder
Files=none
Mods=#DBW

; Mod Type No.6 (Zero-based Index = 5).
[Modtype_05]
Name=Dark Blue World 1916
Help=Dark Blue World 1916, mods reside in '#DBW_1916' folder
Files=none
Mods=#DBW_1916

; Startup Settings for the SAS / UltraPack IL-2 1946 Game Launcher
[Settings]

; Mod Type Setting:
;
; 0 = No Mods, Stock IL-2 1946 Server
; 1 = "Classic" Mod Style, i.e. modded files reside in "FILES" and "MODS" folder
; 2 = SAS Modact 3.x Modded game, i.e. modded files reside in "#SAS" folder
; 3 = UltraPack 3.x Modded game, i.e. modded files reside in "#UP#" folder
; 4 = Dark Blue World Modded game, i.e. modded files reside in "#DBW" folder
; 5 = Dark Blue World 1916 Modded game, i.e. modded files reside in "#DBW_1916" folder
;
; default setting: 0
ModType=2

; Ram Size Setting in Megabytes.
; Be careful not to select too big size here.
; Above 512MB is risky.
; Above 1024MB is critical.
; Above 1800MB will most likely cause startup errors.
;
; default setting: 512
RamSize=512

; Expert Mode Setting
; With Expert Mode enabled, the selector offers more setting options than
; than with default setting
;
; default setting: 0 (Expert Mode disabled)
ExpertMode=0

; Memory Strategy setting
; This setting affects the way memory is being allocated for the Java
; virtual Machine. Balanced means that memory will be allocated in a
; blanced manner for heap, stack and objects.
; Heap only is the "old fashioned" way of binary edited il2fb.exe files
; where only the heap memory size is getting increased while all other
; memory areas remain untouched.
; Conservative is a setting right between Balanced and Heap only.
;
; default setting: 0 (Balanced Mode)
MemoryStrategy=0

; Cached File Lists setting
; When this setting is enabled, IL-2 on startup does not scan the modded files
; folder anymore, but uses a filelist cache file for this folder if it exists.
; The filename for this cache file is "~wrapper.cache".
; Every time when you change something inside your modded files folder, you
; have to wipe this file for the game to recreate it with updated contents.
;
; default setting: 0 (Cached File Lists disabled)
UseCachedFileLists=0

; Multiple Instances setting
; Usually you can run only one single IL-2 instance at a time.
; When you enable this setting, you can run IL-2 multiple times in parallel.
; This is particularly useful for developing and debugging tasks.
;
; default setting: 0 (Multiple Instances disabled)
MultipleInstances=0

; Exit With IL-2 setting
; When enabled, IL-2 selector will quit when you exit the game.
; When disabled, you'll get back to the selector when you exit the game, in
; case you started it through the selector.
;
; default setting: 0 (Exit With IL-2 disabled)
ExitWithIL2=0

; Splash Screen Mode
; This setting controls whether or not a Splash Screen is shown when IL-2
; is started and if so, whether or not the Splash Screen stays "sticky",
; i.e. it will always stay on top of any other windows.
;
; 0 = No Splash Screen
; 1 = Splash Screen "normal"
; 2 = Splash Screen "sticky"
;
; default setting: 1 (normal "unsticky" Splash Screen)
SplashScreenMode=1

; The following section holds additional parameters for the JVM,
; one parameter per line. Check Java 2 SE documents for applicable parameters.
[JVM]
